version: '3.7'

services:
  pg:
    image: postgres:14
    ports:
    - "7432:5432"
    environment:
      POSTGRES_USER       : postgres
      POSTGRES_PASSWORD   : postgres

  web:
   ## user: "$USER_ID"
    image: siudocker/php:8.1-web-v1.0.3
    ports:
    - "7008:8080"
    environment:
      DOCKER_NAME                       : web-toba
      DOCKER_WEB_PORT                   : 7008
      TOBA_PASS                         : toba
      TOBA_BASE_PASS                    : postgres
      TOBA_INSTALACION_DIR              : /var/local/docker-data/framework-instalacion
      TOBA_BASE_HOST                    : pg
      TOBA_BASE_NOMBRE                  : toba_trunk
      TOBA_PROYECTO_INSTALAR            : "True"
      TOBA_INSTALAR_REFERENCIA          : "True"
      TOBA_INSTALAR_USUARIOS            : "True"
      TOBA_REDIRECCIONAR_LOGS           : 1
    links:
    - pg
    volumes:
    - ./ini_file:/etc/php81/conf.d/90-custom.ini
    - .:/var/local/framework
    - ./instalacion:/var/local/docker-data/framework-instalacion

